UiPath Documentation
test-cloud
latest
false
Guide de l'API Test Cloud
Important :
La localisation du contenu nouvellement publié peut prendre 1 à 2 semaines avant d’être disponible.

Récupérer le résumé de la licence d’organisation

Point de terminaison GET pour la récupération du résumé de la licence au niveau de l'organisation, couvrant les totaux, les affectations et l'utilisation pour les robots, les licences utilisateur et les consommables.

Récupère le résumé de la licence pour votre organisation, y compris les robots sous licence et affectés, les licences utilisateur sous licence et utilisées et les consommables sous licence, affectés et utilisés. Nécessite une application externe avec l'étendue PM.License.Read.

Découvrez comment créer une application externe.

Point de terminaison de l’API

GET {accessURL}/{organizationName}/license_/api/account/{accountId}/license-summary

Remplacez {accessURL} dans tous les chemins de point de terminaison par l'URL de base de votre plate-forme cloud :

Cloud PlatformURL d'accès
Automation Cloudhttps://cloud.uipath.com/
Automation Cloud pour le Secteur publichttps://govcloud.uipath.us/
Cloud d'automatisation dédiéhttps://{customURL}.dedicated.uipath.com/

En-têtes de requête.

--header 'Authorization: Bearer {access_token}'
--header 'Authorization: Bearer {access_token}'
Remarque :

Pour obtenir le {access_token}, assurez-vous de vous authentifier via la méthode Resource Owner Password Credentials (ROPC) décrite sur la page Méthodes d'authentification.

Paramètres de chemin d'accès

Paramètre du chemin d'accèsType de donnéesDescription
accountId (requis)GUIDL'ID de l'organisation pour laquelle récupérer le résumé de la licence.

Réponses

200 OK

Renvoie le résumé de la licence pour l'organisation, divisé en trois tableaux :

  • robots - pour chaque type de robot, la quantité totale sous licence (total) et la quantité totale affectée (allocated). Consultez Robots pour obtenir les codes disponibles.
  • userLicenses - pour chaque licence utilisateur, la quantité totale sous licence (total) et la quantité totale utilisée (used). Consultez Licences utilisateur pour obtenir les codes disponibles.
  • consumables - pour chaque unité de consommable, la quantité totale sous licence (total), le montant total affecté (allocated), le montant total utilisé (used) et la période de validité (startDate, endDate) en tant qu'horodatages Unix en secondes. Consultez Consommables pour obtenir les codes disponibles.

404

Aucune licence de compte n'est attribuée pour l'organisation indiquée.

Exemple de requête

La requête doit ressembler à l'exemple suivant (cURL) :

curl --location --request GET 'https://cloud.uipath.com/{organizationName}/license_/api/account/1234/license-summary' \
--header 'Authorization: Bearer {access_token}'
curl --location --request GET 'https://cloud.uipath.com/{organizationName}/license_/api/account/1234/license-summary' \
--header 'Authorization: Bearer {access_token}'

Voici le corps de la réponse pour une récupération réussie du résumé de la licence :

{
    "robots": [
        {
            "code": "APPTESTR",
            "total": 5,
            "allocated": 2
        },
        {
            "code": "NONPR",
            "total": 0,
            "allocated": 0
        },
        {
            "code": "TAUNATT",
            "total": 5,
            "allocated": 2
        },
        {
            "code": "UNATT",
            "total": 5,
            "allocated": 2
        },
        {
            "code": "UNATT-HOSTING",
            "total": 0,
            "allocated": 0
        }
    ],
    "userLicenses": [
        {
            "code": "PMBU",
            "total": 5,
            "used": 0
        },
        {
            "code": "PMD",
            "total": 10,
            "used": 3
        },
        {
            "code": "IDU",
            "total": 55,
            "used": 1
        },
        {
            "code": "TSTNU",
            "total": 5,
            "used": 2
        },
        {
            "code": "AXPNU",
            "total": 100,
            "used": 10
        },
        {
            "code": "ACNU",
            "total": 2,
            "used": 0
        },
        {
            "code": "RPADEVPROCU",
            "total": 15,
            "used": 0
        },
        {
            "code": "RPADEVPRONU",
            "total": 15000,
            "used": 10
        },
        {
            "code": "CBNU",
            "total": 5,
            "used": 0
        },
        {
            "code": "ATTUNU",
            "total": 5,
            "used": 1
        },
        {
            "code": "PRONU",
            "total": 200,
            "used": 12
        },
        {
            "code": "CTZDEVNU",
            "total": 5,
            "used": 0
        },
        {
            "code": "BASICNU",
            "total": 10,
            "used": 7
        },
        {
            "code": "AKIT",
            "total": 100,
            "used": 0
        },
        {
            "code": "PLUSNU",
            "total": 2,
            "used": 5
        }
    ],
    "consumables": [
        {
            "code": "AGU",
            "total": 995658,
            "allocated": 130,
            "used": 1,
            "startDate": 1707177600,
            "endDate": 2230847999
        },
        {
            "code": "APPU",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "FCCU",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "HEAL",
            "total": 303330,
            "allocated": 1500,
            "used": 0,
            "startDate": 1762128000,
            "endDate": 1920844799
        },
        {
            "code": "HEALTEST",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "LU",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "MRSU",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "PLTU",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "RU",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "SPR",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "TEU",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        }
    ]
}
{
    "robots": [
        {
            "code": "APPTESTR",
            "total": 5,
            "allocated": 2
        },
        {
            "code": "NONPR",
            "total": 0,
            "allocated": 0
        },
        {
            "code": "TAUNATT",
            "total": 5,
            "allocated": 2
        },
        {
            "code": "UNATT",
            "total": 5,
            "allocated": 2
        },
        {
            "code": "UNATT-HOSTING",
            "total": 0,
            "allocated": 0
        }
    ],
    "userLicenses": [
        {
            "code": "PMBU",
            "total": 5,
            "used": 0
        },
        {
            "code": "PMD",
            "total": 10,
            "used": 3
        },
        {
            "code": "IDU",
            "total": 55,
            "used": 1
        },
        {
            "code": "TSTNU",
            "total": 5,
            "used": 2
        },
        {
            "code": "AXPNU",
            "total": 100,
            "used": 10
        },
        {
            "code": "ACNU",
            "total": 2,
            "used": 0
        },
        {
            "code": "RPADEVPROCU",
            "total": 15,
            "used": 0
        },
        {
            "code": "RPADEVPRONU",
            "total": 15000,
            "used": 10
        },
        {
            "code": "CBNU",
            "total": 5,
            "used": 0
        },
        {
            "code": "ATTUNU",
            "total": 5,
            "used": 1
        },
        {
            "code": "PRONU",
            "total": 200,
            "used": 12
        },
        {
            "code": "CTZDEVNU",
            "total": 5,
            "used": 0
        },
        {
            "code": "BASICNU",
            "total": 10,
            "used": 7
        },
        {
            "code": "AKIT",
            "total": 100,
            "used": 0
        },
        {
            "code": "PLUSNU",
            "total": 2,
            "used": 5
        }
    ],
    "consumables": [
        {
            "code": "AGU",
            "total": 995658,
            "allocated": 130,
            "used": 1,
            "startDate": 1707177600,
            "endDate": 2230847999
        },
        {
            "code": "APPU",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "FCCU",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "HEAL",
            "total": 303330,
            "allocated": 1500,
            "used": 0,
            "startDate": 1762128000,
            "endDate": 1920844799
        },
        {
            "code": "HEALTEST",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "LU",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "MRSU",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "PLTU",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "RU",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "SPR",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        },
        {
            "code": "TEU",
            "total": 0,
            "allocated": 0,
            "used": 0,
            "startDate": null,
            "endDate": null
        }
    ]
}
  • Point de terminaison de l’API
  • En-têtes de requête.
  • Paramètres de chemin d'accès
  • Réponses
  • 200 OK
  • 404
  • Exemple de requête

Cette page vous a-t-elle été utile ?

Connecter

Besoin d'aide ? Assistance

Vous souhaitez apprendre ? UiPath Academy

Vous avez des questions ? UiPath Forum

Rester à jour